All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.visuals
Class ForwardedItemEvent

    com.sas.visuals.ForwardedItemEvent

All Implemented Interfaces:
  java.io.Serializable

    public class ForwardedItemEvent

ForwardedItemEvent is a sub-class of ItemEvent that also has a sourceEvent property and an actionCommand. The sourceEvent property allows for another event to be forwarded using the ForwardedItemEvent.
Notes:

- The sourceEvent does NOT have to be an ItemEvent.

See Also:
  `ForwardedItemListener`, `ForwardedItemListenerList`, `ForwardedItemSource`, Serialized Form

Field Summary
`protected java.lang.String` | `command`
`protected java.util.EventObject` | `sourceEvt`

Constructor Summary
`ForwardedItemEvent(java.awt.ItemSelectable source, int id, java.lang.Object item, int stateChange, java.lang.String cmd, java.util.EventObject sourceEvent)` Constructor for the ForwardedItemEvent.

Method Summary
`java.lang.String` | `getActionCommand()` Get the command name associated with this event.
`java.util.EventObject` | `getSourceEvent()` Get the source EventObject forwarded using this event.

Field Detail

### sourceEvt

    protected java.util.EventObject sourceEvt

### command

    protected java.lang.String command

Constructor Detail

### ForwardedItemEvent

    public ForwardedItemEvent(java.awt.ItemSelectable source,
                              int id,
                              java.lang.Object item,
                              int stateChange,
                              java.lang.String cmd,
                              java.util.EventObject sourceEvent)

  Constructor for the ForwardedItemEvent.

  Parameters:
    `source` - the object where the event originated
    `id` - the type of event
    `item` - the item where the event occurred.
    `stateChange` - the state change type which generated the event
    `cmd` - the command string for this event
    `sourceEvent` - the source event to be forwarded

Method Detail

### getActionCommand

    public java.lang.String getActionCommand()

  Get the command name associated with this event.

  Returns:
    the command name associated with this event

### getSourceEvent

    public java.util.EventObject getSourceEvent()

  Get the source EventObject forwarded using this event.

  Returns:
    the source event forwarded with this event

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.